<?php
declare(strict_types=1);

namespace GamesShop\Entities;

use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity]
#[ORM\Table(name: 'attributes')]
class SystemAttribute
{
    #[ORM\Id]
    #[ORM\Column]
    private string $name;

    #[ORM\Column]
    private string $value;

    public function __construct(string $name, string $value)
    {
        $this->name = $name;
        $this->value = $value;
    }

    public function getName(): string
    {
        return $this->name;
    }

    public function getValue(): string
    {
        return $this->value;
    }
}