<?php
declare(strict_types=1);

namespace GamesShop\Templates;

use GamesShop\Login\UserPermission;

final class NavigationHeader
{
    public function __construct(
        public readonly string $title,
        public readonly string $link,
        public readonly UserPermission $minimumPermission,
    )
    {
    }
}